Skip to main content
GET
Retrieve Enrolled Payment Method by Id PCI data
Retrieve a specific payment method that a user has enrolled in, including the full card number in the response.
Retrieve Enrolled Payment MethodTo retrieve the enrolled payment method information, you need to provide the payment_method_id, which is the vaulted_token received when using the Enroll Payment Method endpoint.
PCI merchants onlyThis endpoint is only available for PCI-certified merchants. To enable it, contact your Key Account Manager (KAM).

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

customer_id
string
required

The unique identifier of the customer, created using the Create Customer endpoint (UUID, 36 chars).

payment_method_id
string
required

The unique identifier of the payment_method. This information was received as the vaulted_token by enrolling a payment method using Enroll Payment Method (UUID, 36 chars).

Response

200

idempotency_key
string
Example:

"2ca58c6d-8794-4c8f-a2f6-bba4b7498b74"

id
string
Example:

"2fd6bf11-2129-4061-9c2a-34e196f89753"

account_id
string
Example:

"493e9374-510a-4201-9e09-de669d75f256"

name
string
Example:

"VISA ****1111"

description
string
Example:

"VISA ****1111"

type
string
Example:

"CARD"

category
string
Example:

"CARD"

country
string
Example:

"US"

status
string
Example:

"ENROLLED"

sub_status
string | null

Additional status detail.

Example:

null

vaulted_token
string
Example:

"7ced7717-f860-4705-a376-58a714953de9"

action
string
Example:

"FORM"

redirect_url
string | null

URL to redirect the customer to, for redirect workflows.

Example:

null

created_at
string
Example:

"2024-06-04T12:47:46.992602Z"

updated_at
string
Example:

"2024-06-04T12:47:46.992603Z"

enrollment
object
provider
object
customer_payer
object
card_data
object
last_successfully_used
boolean | null

Whether the payment method was successfully used at least once.

Example:

null

last_successfully_used_at
string | null

Timestamp of the last successful use (ISO 8601).

Example:

null

verify
object
preferred
boolean | null

Whether this is the customer's preferred payment method.

Example:

null